/* --------------------------------------------------------
 Generated by Lukman Hakim using sql2java (http://sql2java.sourceforge.net/ )
 jdbc driver used at code generation time: net.sourceforge.jtds.jdbc.Driver
 
 Author : Lukman Hakim (lukman.uki@gmail.com) 
 Date Created : 25/10/2017
 --------------------------------------------------------
*/
package com.portofolio.dto;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;


@Getter
@Setter
public class TypeDataObjekDto {
    
    private Integer kdTypeDataObjek;

    @NotNull(message = "typedataobjek.namatypedataobjek.notnull")
    private String namaTypeDataObjek;

    @NotNull(message = "typedataobjek.reportdisplay.notnull")
    private String reportDisplay;

    private String rangeNilaiAwal;

    private String rangeNilaiAkhir;

    private Integer lengthPrecision;

    private Float storageBytesSize;

    private Integer kdTypeDataObjekHead;

    private String databaseVersion;

    @NotNull(message = "typedataobjek.statusenabled.notnull")
    private Boolean statusEnabled; 
    

}
